package de.akquinet.zalit.server;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.jboss.errai.bus.server.annotations.Service;

import de.akquinet.zalit.client.DateUtilService;
import de.akquinet.zalit.server.util.DateUtil;

@Service
public class DateUtilServiceImpl implements DateUtilService {
  // private static final SimpleDateFormat FORMAT = new SimpleDateFormat("dd.MM.yyyy");

  public List<Date> getDates(final String start, final String end) {
    System.out.println("getDates:" + start + ", " + end);
    final Date endDate = new DateUtil(end).withoutTime().build();
    final DateUtil dateUtil = new DateUtil(start);
    Date date = dateUtil.withoutTime().build();

    assert endDate.after(date) : "End is after start";

    final List<Date> result = new ArrayList<Date>();

    while (endDate.after(date)) {
      result.add(date);
      date = dateUtil.shiftedByDays(1).build();
    }

    return result;
  }

  public String foo(final String bar) {
    return "foo:" + bar;
  }
}
