package de.akquinet.zalit.server;

import javax.enterprise.context.ApplicationScoped;
import javax.inject.Inject;

import org.jboss.errai.bus.client.api.Message;
import org.jboss.errai.bus.client.api.MessageCallback;
import org.jboss.errai.bus.client.api.base.MessageBuilder;
import org.jboss.errai.bus.client.framework.MessageBus;
import org.jboss.errai.bus.server.annotations.Service;

@ApplicationScoped
@Service
public class ZalitMitarbeiterService implements MessageCallback {
  @Inject
  private MessageBus _bus;

  public void callback(final Message message) {
    System.out.println("Received " + message.get(String.class, "payload"));

    MessageBuilder.createConversation(message).subjectProvided().signalling()
        .with("response", "Processed at " + System.currentTimeMillis()).done().sendNowWith(_bus);
  }
}
